@echo off
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
if '%errorlevel%' NEQ '0' (
goto UACPrompt
) else ( goto gotAdmin )
:UACPrompt
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"
"%temp%\getadmin.vbs"
exit /B
:gotAdmin
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
pushd "%CD%"
CD /D "%~dp0"

takeown /f .\SeewoFreeze /r
icacls .\SeewoFreeze /inheritance:e
icacls .\SeewoFreeze /inheritance:r
icacls .\SeewoFreeze /grant %username%:(oi)(ci)(F) /t
.\SeewoFreeze\SeewoFreezeUI.exe --startup-with-main-window
